# Generated by Django 2.2.7 on 2019-11-12 10:07

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('product', '0011_product_win_import_id'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='product',
            name='win_import_id',
        ),
        migrations.CreateModel(
            name='ProductNote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('old_id', models.PositiveIntegerField(blank=True, null=True)),
                ('text', models.TextField(verbose_name='text')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='product_notes', to='product.Product', verbose_name='product')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='product_notes', to=settings.AUTH_USER_MODEL, verbose_name='author')),
            ],
            options={
                'verbose_name': 'product notes',
                'verbose_name_plural': 'product note',
            },
        ),
    ]
